#' 決定木の類似度の指標の計算
#'
#' 各ノードの分割に使われた変数 (splitting variable) に着目した
#' 決定木の類似度の使用の計算 \cr
#' English help file: \link[lazy.tree]{treesim_dt}
#'
#'
#' @usage treesim_dt( T1, T2, print=0 )
#'
#' @param T1 DecTree クラスのオブジェクト
#' @param T2 DecTree クラスのオブジェクト
#' @param print = 1 の場合は結果を印刷
#'
#'
#' @return A list of
#' \preformatted{
#' simdepth 分割に使われた変数 (sv) が一致する最大深度（ root=0 ）
#' Eq  各深度ごとの、sv が一致するノードの数
#' Eqp 各深度ごとの、sv が一致するノードの割合
#' EqTable 深度 x ノードの表で、sv の一致不一致を表すもの
#' }
#'
#'
#' # @keywords internal
#' @docType package
#' @name treesim_dt_JPH
NULL
