% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cuttree_dt.R
\name{cuttree_dt}
\alias{cuttree_dt}
\title{Cut a Tree}
\usage{
cuttree_dt(
  obj,
  depth,
  y = NULL,
  nofimport = 0,
  nosummary = 0,
  print = 0,
  plot = 0,
  title = ""
)
}
\arguments{
\item{obj}{A class DecTree object.}

\item{depth}{The depth of the tree at which the tree is cut.}

\item{y}{The criterion variable vector.}

\item{nofimport}{= 1 not to calculate feature importance (to seppe up)}

\item{nosummary}{=1 not to calculate summary stat (to speed up)}

\item{print}{= 1 to  print the details.}

\item{plot}{= 1 to  plot the details.}

\item{title}{title string}
}
\value{
A \code{DecTree} object.
}
\description{
This function cuts a tree at the specified depth.\cr
Japanese help file: \link[lazy.tree]{cuttree_dt_JPH}
}
\details{
When \code{y} is not given, the resulting tree will not have \code{yhat}.
}
\examples{
Xc <- data.frame(x1=as.factor(square$x1),x2=as.factor(square$x2))
res1 <- DecTree( square$Class4, Xc, minnobs=1, eps=0, method=4, print=3
                 , plot=0, maxdepth=4, title="square:" )
res2 <- DecTree( square$Class4, Xc, minnobs=1, eps=0, method=4, print=3
                 , plot=0, maxdepth=3, title="square:" )
rescut <- cuttree_dt( res1, 3, y=square$Class4, print=1 )

Print(res1$mllh, res2$mllh, rescut$mllh)
Print(res1$weightedF1, res2$weightedF1, rescut$weightedF1)
Print(res2$SCT, "/", rescut$SCT, fmt="5.3")

# statname <- c("depth","parent","Left","Right","nobs","score","ImpMeasure")
# summary <- get_valLL( rescut$node, statname, simplify=2 )
# Print(summary)
# plot tree
# library(igraph)
# plot_dt( rescut )

}
