% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_dt.R
\name{plot_dt}
\alias{plot_dt}
\title{Plot Decision Tree}
\usage{
plot_dt(
  obj,
  title = "Decision Tree",
  type = 1,
  xname = NULL,
  col_leaf = NULL,
  pch = 1,
  lwd = 4,
  cex = 0.7
)
}
\arguments{
\item{obj}{The output of DecTree or list of nodes.}

\item{title}{The title string}

\item{type}{= 2 for numeric criterion}

\item{xname}{Vector consisting of the names of the regressors.\cr
This is to provide the regressor names when obj is just a list of nodes.}

\item{col_leaf}{Color names for the leaf nodes, or NULL}

\item{pch}{point type of legend}

\item{lwd}{point size of legend}

\item{cex}{character size of legend}
}
\value{
A dataframe consisting of
\preformatted{
nodename = node name
nodenum = leaf node name
varnum = variable name
Col = color of the nodes#'
}
}
\description{
Plot Decision Tree
}
\details{
This function requires \code{igraph} package.
}
\examples{
\dontrun{
library(igraph)
Xc <- as.data.frame(cbind(square$c1,square$c2))
res1 <- DecTree( square$Class4, Xc, maxdepth=3, print=1 )
plot_dt( res1, title="square"
       , col_leaf=c("red","darkgreen","orange","lightblue") )
plot_dt( res1$node, title="square", xname=res1$xname )
}


}
