% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict_dt.R
\name{predict_dt}
\alias{predict_dt}
\title{Calculate the Predicted Values from the Regressor Matrix}
\usage{
predict_dt(X, obj)
}
\arguments{
\item{X}{The regressor matrix as a data frame}

\item{obj}{The class DecTree object or list of nodes.}
}
\value{
A list of: \cr
 yhat: vector of the predicted values \cr
 prob: matrix of the posterior probabilities \cr
 Node: vector of the leaf node numbers
}
\description{
This function classifies the observations into one of the leaf nodes. \cr
Japanese help file: \link[lazy.tree]{predict_dt_JPH}
}
\details{
The rules concerning how to classify an observation into Left and Right node
recorded in each \code{obj$node} will be applied for each
observations (rows) in \code{X}.

When \code{X} contains a new set of observations with categorical
regressor variables, those must be converted to factors using the same
levels as the training data.
}
\examples{
Xc=data.frame(square$c1,square$c2)
res1 <- DecTree( square$Class4, Xc, maxdepth=3, print=1 )
pred <- predict_dt( Xc, res1 )
Print(pred$yhat, pred$prob)

}
