% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print_hist_dt.R
\name{print_hist_dt}
\alias{print_hist_dt}
\title{Print Division History}
\usage{
print_hist_dt(obj, title = "", dump = 0)
}
\arguments{
\item{obj}{The output of DecTree or list of nodes.}

\item{title}{The title string}

\item{dump}{= 1 to output result}
}
\value{
A list of a data frame \code{hist} and \code{Valxj} \cr
where data frame \code{hist} consists of
\preformatted{
Node the node number
PA the parent node number
VAR the regressor variable number to be used to divide the node
k the quantified variable number to be used
TH the threshold to be used
Valxc compact version of Valxj below.
}
and \code{Valxj} is a list of the values categorized as "LEFT"
among the levels of categorical regressors used when splitting each node.
}
\description{
Print Division History
}
\examples{
Xc <- data.frame(square$c1,square$c2)
res1 <- DecTree( square$Class4, Xc, maxdepth=4, print=0 )
print_hist_dt( res1$node, title="square" )

}
