% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print_leaf_dt.R
\name{print_leaf_dt}
\alias{print_leaf_dt}
\title{Print the Leaf Node Information}
\usage{
print_leaf_dt(obj, title = "", dump = 0)
}
\arguments{
\item{obj}{The output of DecTree or list of nodes.}

\item{title}{The title string}

\item{dump}{= 1 to output result}
}
\value{
A data frame consisting of
\preformatted{
Node the node number
PA   the parent number
N    number of observations in the node
ImpMeasure impurity measure of the node
Yhat the predicted value
Prob the probability of each level of the categorical criterion
(column names of Prob matrix will be used as the data frame variable names.)
}
}
\description{
Print the Leaf Node Information
}
\examples{
Xc <- data.frame(square$c1,square$c2)
res1 <- DecTree( square$Class4, Xc, maxdepth=4, print=0 )
print_leaf_dt( res1$node, title="square" )

}
